Notification handlers

Manage Handler Recipients

Manage handler recipients.

POST
/nudge/projects/{projectId}/notification-handlers/{notificationHandlerId}/handler-recipients

Authorization

clientKeyHeader clientSecretHeader
x-client-key<token>

Client API key credential.

In: header

x-client-secret<token>

Client API secret credential.

In: header

Path Parameters

notificationHandlerId*string
projectId*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://api.dokaai.com/api/v1/dokaai/nudge/projects/string/notification-handlers/string/handler-recipients" \  -H "Content-Type: application/json" \  -d '{    "recipientSourceType": "payload_based",    "recipientSourceId": "string"  }'
{
  "status": "success",
  "message": "string",
  "data": {
    "id": "string"
  },
  "metaData": null,
  "error": null
}
{
  "status": "error",
  "message": "string",
  "data": null,
  "metaData": null,
  "error": null
}
{
  "status": "error",
  "message": "string",
  "data": null,
  "metaData": null,
  "error": null
}
{
  "status": "error",
  "message": "string",
  "data": null,
  "metaData": null,
  "error": null
}
{
  "status": "error",
  "message": "string",
  "data": null,
  "metaData": null,
  "error": null
}